Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.theme.impl
Class RendererFactoryImpl

    java.lang.Object
      org.jboss.portal.theme.impl.RendererFactoryImpl

All Implemented Interfaces:
  RendererFactory

    public class RendererFactoryImpl

extends java.lang.Object
implements RendererFactory

Version:
  $Revision: 10337 $
Author:
  Julien Viet

Constructor Summary
`RendererFactoryImpl(PageRenderer pageRenderer, LayoutServiceInfo layoutServiceInfo, LayoutInfo layoutInfo)`

Method Summary
`ObjectRenderer` | `getDecorationRenderer(RendererContext rendererContext, DecorationRendererContext result)` Get the decoration renderer for the window that the provided window result is associated with.
`ObjectRenderer` | `getPortletRenderer(RendererContext rendererContext, PortletRendererContext result)` Get the portlet renderer for the render set defined in the window properties that were provided.
`ObjectRenderer` | `getRenderer(RendererContext rendererContext, ObjectRendererContext objectRendererContext)` Return the appropriate renderer.
`ObjectRenderer` | `getWindowRenderer(RendererContext rendererContext, WindowRendererContext result)` Get the window renderer for the provided window.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RendererFactoryImpl

    public RendererFactoryImpl(PageRenderer pageRenderer,
                               LayoutServiceInfo layoutServiceInfo,
                               LayoutInfo layoutInfo)

Method Detail

### getRenderer

    public ObjectRenderer getRenderer(RendererContext rendererContext,
                                      ObjectRendererContext objectRendererContext)

  Description copied from interface: `RendererFactory`
  Return the appropriate renderer.

  Specified by:
    `getRenderer` in interface `RendererFactory`
  Parameters:
    `rendererContext` - the render context
    `objectRendererContext` - the object render context
  Returns:
    the appropriate renderer

### getWindowRenderer

    public ObjectRenderer getWindowRenderer(RendererContext rendererContext,
                                            WindowRendererContext result)

  Get the window renderer for the provided window.

  The window result can optionally contain a window property that points to a render set to use when getting the window renderer. If no window property was provided, then the default render set of this context will be used.

  Parameters:
    `result` - the window result possibly containing the window property that specifies an alternative render set name for the window renderer to use
  Returns:
    a window renderer

### getDecorationRenderer

    public ObjectRenderer getDecorationRenderer(RendererContext rendererContext,
                                                DecorationRendererContext result)

  Get the decoration renderer for the window that the provided window result is associated with.

  If the window result contains a window property that points to a render set, that render set will be used to determine the decoration renderer. Otherwise, the render set that was determined for this context will be used.

  Parameters:
    `result` - the window result possibly containing the window property that specifies an alternative render set name for the decoration renderer to use
  Returns:
    a decoration renderer

### getPortletRenderer

    public ObjectRenderer getPortletRenderer(RendererContext rendererContext,
                                             PortletRendererContext result)

  Get the portlet renderer for the render set defined in the window properties that were provided.

  If the provided window result doesn't contain any window property that defines a render set name, the default render set that was determined for this context will be used to get the portlet renderer.

  Parameters:
    `result` - the window result containing the window properties to introspect for a render set name to get the portlet renderer from
  Returns:
    a portlet renderer

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD